function createWindowElement(content) {
  const windowElement = document.createElement("astro-dev-toolbar-window");
  windowElement.innerHTML = content;
  return windowElement;
}
function closeOnOutsideClick(eventTarget, additionalCheck) {
  function onPageClick(event) {
    const target = event.target;
    if (!target)
      return;
    if (!target.closest)
      return;
    if (target.closest("astro-dev-toolbar"))
      return;
    if (additionalCheck && additionalCheck(target))
      return;
    eventTarget.dispatchEvent(
      new CustomEvent("toggle-app", {
        detail: {
          state: false
        }
      })
    );
  }
  eventTarget.addEventListener("app-toggled", (event) => {
    if (event.detail.state === true) {
      document.addEventListener("click", onPageClick, true);
    } else {
      document.removeEventListener("click", onPageClick, true);
    }
  });
}
export {
  closeOnOutsideClick,
  createWindowElement
};
